<?
header("Content-Type: application/xhtml+xml; charset=utf8");
use_helper('UrlFunctions');
$o_ObjectBean = new PrestamoBean();
  
$tamanioPag = 180;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  

if($cboMercado     	!=""){ $o_ObjectBean->setIdMercado($cboMercado);}
if($cboColaborador     	!=""){ 
	$o_ObjectBean->setIdColaboradorPrestamo($cboColaborador);
}else{
	if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
		
	}else{
		$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	}
}

if($FechaInicial  !=""){ $o_ObjectBean->setFechaInicio($FechaInicial); }
$o_ObjectBean->setFlagReporte('2');
$o_ObjectBean->setEstado('P');

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

	 
 
$o_class = new PrestamoBL();
$a_ObjectBean = $o_class->busquedaPrestamo($o_ObjectBean);




$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="35">
               <th width="1%" >Nro</th>
               <th width="2%" >N.Pre.</th>
               
    
			    <th width="22%" align="left">Nro Cliente - Nombre&nbsp;&nbsp;&nbsp;</th>
				<th width="4%" >Documento</th>
				<th width="4%" >Celular</th>
			    <th width="8%" >Estado</th>
			    <th width="3%" >F.Inicio</th>
				<th width="3%" >F.Vencim.</th>
				<th width="3%" >%</th>
                 <th width="5%" >M.Total</th>
                 <th width="5%" >Saldo</th>
                 <th width="5%" >Mora</th>
                 
                 <th width="5%" >Tipo</th>
                 
                 <th width="4%" >Cuota&nbsp;&nbsp;&nbsp;</th>
              
              </tr>
              <? if(count($a_ObjectBean)>0){ 
              	$n=1;?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ 
              	$bgcolor = '';
              	$mensaje='';
              	if($o_objBean->getFechaVencimiento() <= date('Y-m-d')){
              		$bgcolor = "#FFD5D5";
              		$mensaje='Vencido';
              	}
              	$IdCategoria = $o_objBean->getIdCategoria();
              	
              	$con = Conexion::getConexion();
			   
				$sql = "SELECT *
					 FROM cr_categoria_prestamo
					WHERE idcategoria = '".$IdCategoria."'";
		
		
				$result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
				$num_rows = mysql_num_rows($result);
		
				$color = "#ffffff";
				$descripcion = "-";
				$codigo = "-";
				if($num_rows>0){
					 while ($o_valor = mysql_fetch_object($result)) {
						//print_r($o_valor);
						$color = $o_valor->color;
						$codigo = $o_valor->codigo;
					  }
				}
              		?>

              <tr onClick="TR_click(this);" style="background:<? //=$bgcolor;?>">
              		<td style="background:<?=$color;?>"><?=$n;?></td>
              	<?php if(myUser::getUser()->getRoleId() != 'sys.ope'){?>
	                <td align="center"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/pre/estado_cuenta/id/'.$o_objBean->getIdPrestamo());?>',{title:'',width:710,height:520})"><?=$o_objBean->getIdPrestamo()?></a></td>
	                
	                <?php if(myUser::getUser()->getRoleId() == 'sys.gen' || myUser::getUser()->getRoleId() == 'sys.cen'){?>
	                	<td align="left"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'op.php/ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$o_objBean->getIdCliente().'&s_tipo=' )?>',{width:900,height:420})"><?php echo $o_objBean->getIdCliente()?></a>&nbsp;<a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/cli/show/id/'.$o_objBean->getIdCliente());?>','block=001')"><?=$o_objBean->getObjectCliente()->getNombreCompleto()?></a> <a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/cli/fotos/id/'.$o_objBean->getIdCliente());?>',{width:900,height:420})"><img src="/images/common/iconos/photos.png"></a></td>
	                <?php }else{?>
	                	<td align="left"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'op.php/ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$o_objBean->getIdCliente().'&s_tipo=' )?>',{width:900,height:420})"><?php echo $o_objBean->getIdCliente()?></a>&nbsp;<a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/cli/show/id/'.$o_objBean->getIdCliente());?>','block=001')"><?=$o_objBean->getObjectCliente()->getNombreCompleto()?></a> <a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/cli/fotos/id/'.$o_objBean->getIdCliente());?>',{width:900,height:420})"><img src="/images/common/iconos/photos.png"></a></td>
	                <?php }?>
                <?php }else{?>
                	<td align="center"><?=$o_objBean->getIdPrestamo()?></td>
	                
	                <td align="left"><?=$o_objBean->getObjectCliente()->getNombreCompleto()?></td>
					<td align="center"><?php echo $o_objBean->getIdCliente()?></td>	
                <?php }?>
                <td align="left"><a style="color:#0000FF;text-decoration:underline;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'rep.php/criesgo/showRiesgo', 's_TypeRequest=buscarCliente&cboEstado=Dni&Titulo='.$o_objBean->getObjectCliente()->getDni() )?>',{width:900,height:400})"><?php echo $o_objBean->getObjectCliente()->getDni()?></a></td>
                <td align="center"><?=$o_objBean->getObjectCliente()->getCelular()?></td>
                <td align="center"><?=$mensaje?></td>
                <td align="center"><?=$o_objBean->getFechaInicio()?></td>
                <td><?=$o_objBean->getFechaVencimiento()?></td>  
                <td align="center"><?=$o_objBean->getInteresPorcentaje();?></td>  
				<td align="right"><?=$o_objBean->getMontoTotal() ; $total_monto +=$o_objBean->getMontoTotal();?></td>
				<td align="right"><?=$o_objBean->getSaldoPrestamo() ;?></td>
				<td align="right" <?php if($o_objBean->getSaldoMora()>0){ echo "style='color:#ff0000'";} ?>><?php $total_saldo+=$o_objBean->getSaldoPrestamo();echo $o_objBean->getSaldoMora() ;?></td>
				<td align="center"><? if($o_objBean->getOrigen()=='R') echo N; elseif($o_objBean->getOrigen()=='F') echo R;?></td>
				
				<td align="center"><?=$o_objBean->getCuotaPago()?></td>
				</tr>
              <? $n++;
              } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
			  <tr>
				<td colspan="8" style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000">T Registros: <?=count($a_ObjectBean)?></td>
				
				<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b><?=number_format($total_monto,2)?></b></td>
			
				<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000" align="right"><b><?=number_format($total_saldo,2)?></b></td>
				<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; font-weight:bold; color:#000000"><b>&nbsp;</b></td>
				
<!--	          		<td><?=count($a_ObjectBean)?></td>-->
			</tr>
            </table>
          </td>
        </tr>
        
	           
	         
        <!--<tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>-->
      </table>